WPS4TextInternal::FontName Struct Reference

Internal: class to store a font name: name with encoding type. More...

## Public Member Functions
| FontName (libwps_tools_win::Font::Type type)
| constructor with file's version to define the default encoding *‍/

## Static Public Member Functions
static librevenge::RVNGString | getDosName (int id)
| returns the default dos name corresponding to id th font

## Public Attributes
librevenge::RVNGString | m_name
| font name
libwps_tools_win::Font::Type | m_type
| font encoding type

## Friends
std::ostream & | operator<< (std::ostream &o, FontName const &ft)
| operator<<

## Detailed Description

Internal: class to store a font name: name with encoding type.

## Constructor & Destructor Documentation

## ◆ FontName()

WPS4TextInternal::FontName::FontName | ( | libwps_tools_win::Font::Type | type | ) |
| inline explicit

constructor with file's version to define the default encoding *‍/

Referenced by operator<<.

## Member Function Documentation

## ◆ getDosName()

librevenge::RVNGString WPS4TextInternal::FontName::getDosName | ( | int | id | ) |
| static

returns the default dos name corresponding to id th font

Referenced by WPS4Text::readFont().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | FontName const & | ft )
| friend

operator<<

## Member Data Documentation

## ◆ m_name

librevenge::RVNGString WPS4TextInternal::FontName::m_name

font name

Referenced by FontName(), operator<<, and WPS4Text::readFontNames().

## ◆ m_type

libwps_tools_win::Font::Type WPS4TextInternal::FontName::m_type

font encoding type

Referenced by FontName(), and operator<<.

The documentation for this struct was generated from the following file:

- WPS4Text.cpp